pfSense - Feature #8289

OpenVPN - configurable username as common name
01/22/2018 03:32 AM - Greg M

Status: Resolved Start date: 01/22/2018
Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%
Category: OpenVPN Estimated time: 0.00 hour
Target version: 2.4.5-p1

Plus Target Version: Release Notes:

Description

Hil

See here: https:/forum.pfsense.org/index.php?topic=136533.msg778977#msqg778977

There are use cases and it's not hard to make it default, but selectable, like a simple checkbox.

Associated revisions

Revision e5c4f2a7 - 11/22/2019 07:19 PM - Jim Pingle

Make OpenVPN username-as-common-name options. Implements #8289

Revision acbeb77d - 05/04/2020 06:23 PM - Jim Pingle

Make OpenVPN username-as-common-name options. Implements #8289

(cherry picked from commit e5c4f2a7d977fb1fd6c7b4446e187486b72285be)

History

#1 - 02/21/2018 03:39 AM - Jose Angel Mateo
Greg M wrote:

Hi!

See here: https://forum.pfsense.org/index.php?topic=136533.msg778977#msg778977

There are use cases and it's not hard to make it default, but selectable, like a simple checkbox.

| use also common_name with user also. | modify manually like is described in the forum.

Please, a simple checkbox is going to be usefull

#2 - 11/21/2019 03:12 PM - Jim Pingle
- Assignee set to Jim Pingle

- Target version set to 2.5.0

#3 - 11/22/2019 01:25 PM - Jim Pingle
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset e5c4f2a7d977fb1fd6c7b4446e187486b72285be.

#4 - 11/23/2019 02:39 AM - Greg M
Thanks Jim.

Works.

#5 - 11/23/2019 10:58 PM - Jim Pingle
https://forum.pfsense.org/index.php?topic=136533.msg778977#msg778977
- Status changed from Feedback to Resolved
Thanks for testing!

#6 - 05/04/2020 01:24 PM - Jim Pingle
- Status changed from Resolved to Feedback

- Target version changed from 2.5.0 to 2.4.5-p1

#7 - 05/14/2020 10:42 AM - Jim Pingle
- Status changed from Feedback to Resolved

Option is present in the GUI and works as expected when set to either state (checked or unchecked).
